using SqlSugar;
using System;
using System.Collections.Generic;
using System.Runtime.Serialization;
using System.Text;
using System.Xml.Linq;

#region << 版 本 注 释 >>
/*--------------------------------------------------------------------
* 版权所有 (c) 2024 WenJY 保留所有权利。
* CLR版本：4.0.30319.42000
* 机器名称：LAPTOP-E0N2L34V
* 命名空间：SlnMesnac.Model.domain
* 唯一标识：496f8d2b-70e3-4a05-ae18-a9b0fcd06b82
*
* 创建者：WenJY
* 电子邮箱：wenjy@mesnac.com
* 创建时间：2024-03-27 21:58:35
* 版本：V1.0.0
* 描述：
*
*--------------------------------------------------------------------
* 修改人：
* 时间：
* 修改说明：
*
* 版本：V1.0.0
*--------------------------------------------------------------------*/
#endregion << 版 本 注 释 >>
namespace SlnMesnac.Model.domain
{


    [SugarTable("base_material_info"), TenantAttribute("mes")]
    [DataContract(Name = "BaseMMaterialInfo 物料信息")]
    #pragma warning disable CS8618 // Non-nullable field 'Data' must contain a non-null value when exiting constructor. Consider declaring the field as nullable.
    public class BaseMaterialInfo
    {
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "obj_id", IsPrimaryKey = true)]
        public int ObjId { get; set; }
        /// <summary>
        /// 物料编码 
        ///</summary>
        [SugarColumn(ColumnName = "material_code")]
        public string MaterialCode { get; set; }
        /// <summary>
        ///  物料名称
        ///</summary>
        [SugarColumn(ColumnName = "material_name")]
        public string MaterialName { get; set; }
        /// <summary>
        /// 物料大类
        ///</summary>
        [SugarColumn(ColumnName = "material_categories")]
        public string MaterialCategories { get; set; }
        /// <summary>
        ///  物料小类
        ///</summary>
        [SugarColumn(ColumnName = "material_subclass")]
        public string MaterialSubclass { get; set; }
        /// <summary>
        ///  SAP物料类型
        ///</summary>
        [SugarColumn(ColumnName = "material_type")]
        public string MaterialType { get; set; }
        /// <summary>
        ///  计量单位
        ///</summary>
        [SugarColumn(ColumnName = "material_unit")]
        public string MaterialUnit { get; set; }
        /// <summary>
        ///  单位工资
        ///</summary>
        [SugarColumn(ColumnName = "unit_price")]
        public string UnitlPrice { get; set; }
        /// <summary>
        ///  物料型号
        ///</summary>
        [SugarColumn(ColumnName = "material_specifications")]
        public string MaterialSpecifications { get; set; }
        /// <summary>
        ///  工厂编号
        ///</summary>
        [SugarColumn(ColumnName = "factory_code")]
        public string FactoryCode { get; set; }
        /// <summary>
        ///  所属工位
        ///</summary>
        [SugarColumn(ColumnName = "product_line_code")]
        public string ProductLineCode { get; set; }
        /// <summary>
        ///  是否标识
        ///</summary>
        [SugarColumn(ColumnName = "is_flag")]
        public string IsFlag { get; set; }
        /// <summary>
        ///  创建人
        ///</summary>
        [SugarColumn(ColumnName = "create_by")]
        public string CreateBy { get; set; }
        /// <summary>
        ///  创建时间
        ///</summary>
        [SugarColumn(ColumnName = "create_time")]
        public string CreateTime { get; set; }
        /// <summary>
        ///  更新人
        ///</summary>
        [SugarColumn(ColumnName = "update_by")]
        public string UpdateBy { get; set; }
        /// <summary>
        ///  更新时间
        ///</summary>
        [SugarColumn(ColumnName = "update_time")]
        public string UpdateTime { get; set; }
        /// <summary>
        ///  增量日期
        ///</summary>
        [SugarColumn(ColumnName = "increment_date")]
        public string IncrementDate { get; set; }
        /// <summary>
        ///  商品编码
        ///</summary>
        [SugarColumn(ColumnName = "product_code")]
        public string ProductCode { get; set; }
        /// <summary>
        ///  商品名称
        ///</summary>
        [SugarColumn(ColumnName = "product_name")]
        public string ProductName { get; set; }
    }
}
